﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Manager_Options.ascx.cs" Inherits="DNNGo.Modules.PhotoAlbums.Manager_Options" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.Security.Permissions.Controls" Assembly="DotNetNuke" %>
<!-- start: PAGE HEADER -->
      <div class="row">
        <div class="col-sm-12"> 
          <!-- start: PAGE TITLE & BREADCRUMB -->
          
          <div class="page-header">
            <h1><i class="fa fa-wrench"></i> <%=ViewResourceText("Header_Title", "General Settings")%></h1>
          </div>
          <!-- end: PAGE TITLE & BREADCRUMB --> 
        </div>
      </div>
      <!-- end: PAGE HEADER --> 


      <!-- start: PAGE CONTENT -->
      
      <div class="row">
        <div class="col-sm-12">
          <div class="row">
            <div class="form-horizontal">
              <div class="form-group">
                <%=ViewControlTitle("lblAlbumPageSize", "Album per page", "txtAlbumPageSize", ":", "col-sm-3 control-label")%>
                <div class="col-sm-9">
                    <asp:TextBox runat="server" ID="txtAlbumPageSize" Width="100px" CssClass="form-control form_default validate[required,custom[integer]]"></asp:TextBox>
                </div>
              </div>
              <div class="form-group">
                <%=ViewControlTitle("lblPageSize", "Manager per page", "txtPageSize", ":", "col-sm-3 control-label")%>
                <div class="col-sm-9">
                    <asp:TextBox runat="server" ID="txtPageSize" Width="100px" CssClass="form-control form_default validate[required,custom[integer]]"></asp:TextBox>
                </div>
              </div>
     
              <div class="form-group">
                <%=ViewControlTitle("lblFeedSize", "Synidication feeds display the latest", "txtFeedSize", ":", "col-sm-3 control-label")%>
                <div class="col-sm-9">
                    <asp:TextBox runat="server" ID="txtFeedSize" Width="50px" CssClass="form-control form_default validate[required,custom[integer]]"></asp:TextBox>
                    <%=ViewHelp("lblFeedSize", "items")%>
                </div>
              </div>


              <div class="form-group">
                <%=ViewControlTitle("lblFeedExcerpt", "Display each article in a feed on", "rblFeedExcerpt", ":", "col-sm-3 control-label")%>
                <div class="col-sm-9">
                  <div class="control-inline"><asp:RadioButtonList ID="rblFeedExcerpt" runat="server" RepeatDirection="Horizontal" CssClass=""></asp:RadioButtonList></div>
                </div>
              </div> 
      
              <div class="form-group">
                <%=ViewControlTitle("lblDisplayAuthor", "Display Author", "rblDisplayAuthor", ":", "col-sm-3 control-label")%>
                <div class="col-sm-9">
                  <div class="control-inline"><asp:RadioButtonList ID="rblDisplayAuthor" runat="server" RepeatDirection="Horizontal"  CssClass=""></asp:RadioButtonList></div>
                </div>
              </div> 

               <div class="form-group">
                <h4>
                    <%=ViewControlTitle("lblDisplayAlbumCover", "Display album cover", "cbDisplayAlbumCover", ":", "col-sm-3 control-label")%>
                    <div class="col-sm-9">
                        <asp:CheckBox ID="cbDisplayAlbumCover" runat="server" />
                        <%=ViewHelp("lblDisplayAlbumCover", "Photo album cover will display in the photo album details effect.", "cbDisplayAlbumCover")%>
                    </div>
                </div>

                 <div class="form-group">
                <%=ViewControlTitle("lblEnablePingService", "Enable Ping Service", "cbEnablePingService", ":", "col-sm-3 control-label")%>
                <div class="col-sm-9">
                 <div class="control-inline">
                    <asp:CheckBox runat="server" ID="cbEnablePingService"  CssClass=""/>
                 
                 </div>
                </div>
              </div> 

               <div class="form-group">
                <%=ViewControlTitle("lblPingService", "Ping Service", "txtPingService", ":", "col-sm-3 control-label")%>
                <div class="col-sm-9">
                  <asp:TextBox runat="server" ID="txtPingService" Width="95%" Height="120" TextMode="MultiLine"
                    Rows="8" CssClass=":max_length;2000"></asp:TextBox>
                    <span class="help-block"><%=ViewHelp("lblPingService", "When you publish a new post, PhotoAlbums automatically notifies the following site update services. For more about this, see <a target='_blank' href='http://codex.wordpress.org/Update_Services'>Update Services</a> on the Codex. Separate multiple service <abbr title='Universal Resource Locator'>URL</abbr>s with line breaks.")%></span>
                </div>
              </div> 
              
               <div class="form-group">
                <%=ViewControlTitle("lblSearchable", "Searchable", "cbSearchable", ":", "col-sm-3 control-label")%>
                <div class="col-sm-9">
                    <asp:CheckBox ID="cbSearchable" runat="server" />
                </div>
              </div>
               <div class="form-group">
                <%=ViewControlTitle("lblSearchableCount", "Searchable Count", "txtSearchableCount", ":", "col-sm-3 control-label")%>
                <div class="col-sm-9">
                    <asp:TextBox runat="server" ID="txtSearchableCount" Width="100px" CssClass="form-control form_default validate[required,custom[integer]]"></asp:TextBox>
                </div>
              </div>
              <div class="form-group">
                <%=ViewControlTitle("lblSearchText", "Search Text", "cbSearchSummary", ":", "col-sm-3 control-label")%>
                <div class="col-sm-8">
                   <div class="checkbox-inline"> 
                    <asp:CheckBox ID="cbSearchTitle" runat="server" CssClass="auto" resourcekey="cbSearchTitle" Text="Title"  Checked="true" Enabled="false" /> 
                    </div>
                      <div class="checkbox-inline"> 
                    <asp:CheckBox ID="cbSearchSummary" runat="server" CssClass="auto" resourcekey="cbSearchSummary" Text="Summary" /> 
                    </div>
                     <div class="checkbox-inline"> 
                    <asp:CheckBox ID="cbSearchContentText" runat="server" CssClass="auto" resourcekey="cbSearchContentText" Text="Content Text" /> 
                    </div>
                    <div class="checkbox-inline"> 
                    <asp:CheckBox ID="cbSearchTags" runat="server" CssClass="auto" resourcekey="cbSearchTags" Text="Tags" /> 
                    </div>
                </div>
              </div>


            </div>
          </div>
          <div class="panel panel-default">
            <div class="panel-heading"> <i class="fa fa-external-link-square"></i> <%=ViewResourceText("Title_AuthorSettings", "Author Settings")%>
              <div class="panel-tools"> <a href="#" class="btn btn-xs btn-link panel-collapse collapses"> </a> </div>
            </div>
            <div class="panel-body">
              <div class="row">
                <div class="form-horizontal">
                     <div class="form-group">
                        <%=ViewControlTitle("lblAuthorRoles", "Author Roles", "cblAuthorRoles", ":", "col-sm-3 control-label")%>
                        <div class="col-sm-9">
                            <%=ViewHelp("lblAuthorRoles", "Author permisson needs to give this role to module edit permission, please check setting image <a target='_blank' href='http://www.dnngo.net/images/AuthorRoles.jpg'>[open]</a> .")%>
                        </div>
                      </div>
                     <div class="form-group">
                        <%=ViewControlTitle("lblArticleCheck", "Review new article", "cbArticleCheck", ":", "col-sm-3 control-label")%>
                        <div class="col-sm-9">
                            <div class="control-inline"><asp:CheckBox ID="cbArticleCheck" runat="server" Checked="true"  CssClass=""/>
                           <%=ViewHelp("lblArticleCheck", "It needs the administrator to review new article posts.", "cbArticleCheck")%></div>
                        </div>
                      </div>
                     <div class="form-group">
                        <%=ViewControlTitle("lblManagerModule", "Management Module Roles", "cbArticleCheck", ":", "col-sm-3 control-label")%>
                        <div class="col-sm-9">
                            <div class="control-inline"><asp:CheckBoxList ID="cblManagerModule" runat="server"  CssClass=""></asp:CheckBoxList>
                            <%=ViewHelp("lblManagerModule", "")%></div>
                        </div>
                      </div>
                </div>
              </div>
            </div>
          </div>

         <div class="panel panel-default">
            <div class="panel-heading">
                <i class="fa fa-external-link-square"></i>
                <%=ViewTitle("lblDataFilter", "Data Filter")%>
                <div class="panel-tools">
                    <a href="#" class="btn btn-xs btn-link panel-collapse collapses"></a>
                </div>
            </div>
            <div class="panel-body">
                <div class="form-horizontal">
                    <div class="form-group">
                        <%=ViewControlTitle("lblSortby", "Sort by", "ddlSortby", ":", "col-sm-3 control-label")%>
                        <div class="col-sm-5">
                            <div class="control-inline">
                               <asp:DropDownList ID="ddlSortby" runat="server"  CssClass="form-control input_text validate[required]"></asp:DropDownList>
                            </div>
                        </div>
                    </div>
                   
                </div>
            </div>
        </div>


          <div class="panel panel-default">
            <div class="panel-heading"> <i class="fa fa-external-link-square"></i> <%=ViewResourceText("Title_AvatarsSettings", "Avatar Settings")%>
              <div class="panel-tools"> <a href="#" class="btn btn-xs btn-link panel-collapse collapses"> </a> </div>
            </div>
            <div class="panel-body">
              <div class="row">
                <div class="form-horizontal">
                     <div class="form-group">
                        <div class="col-sm-3"></div>
                        <div class="col-sm-9">
                            <%=ViewResourceText("lblAvatarsSetting", "An avatar is an image that follows you from weblog to weblog appearing beside your name when you comment on avatar enabled sites. Here you can enable the display of avatars for people who comment on your site.")%>
                        </div>
                      </div>
                     <div class="form-group">
                        <%=ViewControlTitle("lblAvatarRating", "Avatar Maximum Rating", "rblAvatarRating", ":", "col-sm-3 control-label")%>
                        <div class="col-sm-9">
                            <asp:RadioButtonList ID="rblAvatarRating" runat="server"  CssClass=""></asp:RadioButtonList>
                        </div>
                      </div>
                     <div class="form-group">
                        <%=ViewControlTitle("lblDefaultAvatar", "Default Avatar", "rblDefaultAvatar", ":", "col-sm-3 control-label")%>
                        <div class="col-sm-9">
                             <asp:RadioButtonList ID="rblDefaultAvatar" runat="server"  CssClass=""></asp:RadioButtonList>
                             <span class="help-block"><i class="fa fa-info-circle"></i><%=ViewHelp("lblDefaultAvatar", "For users without a custom avatar of their own, you can either display a generic logo or a generated one based on their e-mail address.")%></span>
                        </div>
                      </div>

                     <div class="form-group">
                        <%=ViewControlTitle("lblAvatarSize", "Avatar Size", "txtAvatarSize", ":", "col-sm-3 control-label")%>
                        <div class="col-sm-9">
                            <asp:TextBox runat="server" ID="txtAvatarSize" Width="100px" CssClass="form-control form_default validate[required,custom[integer]]"></asp:TextBox>
                            <%=ViewHelp("lblAvatarSize", "px")%>
                        </div>
                      </div>
                

                </div>
              </div>
            </div>
          </div>

          <div class="panel panel-default">
            <div class="panel-heading"> <i class="fa fa-external-link-square"></i> <%=ViewResourceText("Title_SitemapSettings", "Sitemap Settings")%>
              <div class="panel-tools"> <a href="#" class="btn btn-xs btn-link panel-collapse collapses"> </a> </div>
            </div>
            <div class="panel-body">
              <div class="row">
                <div class="form-horizontal">
                      
                     <div class="form-group">
                        <%=ViewControlTitle("lblSitemapSize", "Synidication sitemap display the latest", "txtSitemapSize", ":", "col-sm-3 control-label")%>
                        <div class="col-sm-6">
                            <asp:TextBox runat="server" ID="txtSitemapSize" Width="50px" CssClass="form-control form_default validate[required,custom[integer],max[5000]]"></asp:TextBox>
                        </div>
                      </div>
                     <div class="form-group">
                        <%=ViewControlTitle("lblSitemapPriority", "Sitemap Priority", "txtSitemapPriority", ":", "col-sm-3 control-label")%>
                        <div class="col-sm-6">
                             <asp:TextBox runat="server" ID="txtSitemapPriority" Width="50px" CssClass="form-control form_default validate[required,custom[number],max[1]]"></asp:TextBox>
                        </div>
                      </div>

                     <div class="form-group">
                        <%=ViewControlTitle("lblSitemapChangefreq", "Sitemap Changefreq", "ddlSitemapChangefreq", ":", "col-sm-3 control-label")%>
                        <div class="col-sm-6">
                            <asp:DropDownList runat="server" ID="ddlSitemapChangefreq" CssClass="form-control form_default"></asp:DropDownList>
                        </div>
                      </div>
                    <div class="form-group">
                        <%=ViewControlTitle("lblSitemapUrl", "SiteMap Url", "liSitemapUrl", ":", "col-sm-3 control-label")%>
                        <div class="col-sm-6">
                            <asp:Literal ID="liSitemapUrl" runat="server"></asp:Literal>
                        </div>
                      </div>
                </div>
              </div>
            </div>
          </div>

       <div class="row">
        <div class="col-sm-3"> </div>
        <div class="col-sm-9">
            
         <asp:Button CssClass="btn btn-primary" lang="Submit" ID="cmdUpdate" resourcekey="cmdUpdate"
        runat="server" Text="Update" OnClick="cmdUpdate_Click"></asp:Button>&nbsp;
        <asp:Button CssClass="btn btn-default" ID="cmdCancel" resourcekey="cmdCancel" runat="server"
            Text="Cancel" CausesValidation="False" OnClick="cmdCancel_Click"  OnClientClick="CancelValidation();"></asp:Button>&nbsp;

         </div>
      </div>

          

        </div>
      </div>
      
      <!-- end: PAGE CONTENT--> 


    